#procedure tracefermiloops()

* This file is part of aITALC
* Copyright (C) 2004 Alejandro Lorca <alejandro.lorca@desy.de>
*------------------------------------------------------------- 
** Procedure to trace possible fermion loops
** Begun on 26/05/03

** All fermion loops are those with index line higher than `EXTFERMICURRENTS'

#if `FERMIONLOOP' == 0
* do nothing, we don't have fermion loops!
#elseif `FERMIONLOOP' == 1
  #do fermiline={`EXTFERMICURRENTS'+1},{`EXTFERMICURRENTS'+`FERMIONLOOP'}
* The `COLORFACTOR' of quarks (3) or leptons (1) is added at this point
    id omega(`fermiline',sg?)=(gi_(`fermiline')+sg*g5_(`fermiline'))/2;
    id gamma(`fermiline',mu0?)=g_(`fermiline',mu0);
    Trace4,`fermiline';
*Warning, if more than on
    Multiply `COLORFACTOR';
  #enddo
#else
  #message [tracefermiloops: Implementation in Diana not allowing for more than 1 fermi loop]
#endif

* Next e_ definition is in harmony with the - sign in contractepsilon.prc
id e_(mu1?,mu2?,mu3?,mu4?)=eps(mu1,mu2,mu3,mu4);

** Before doing anything, we will linearize gamma functions even if it
** looks stupid, but we have saved a lot of resources

id gamma(line?,mu0?)=gamma(line,mu0);
#endprocedure

*$Id: tracefermiloops.prc,v 1.5 2004/10/08 14:28:12 alorca Exp $
