** Function DILOGIE (dilogie.f)
** This function calculates the Li_2(y,n)  where the argument 'y' is
** double precision but contains some arbitrarily small imaginary part
** n*i*epsilon either positive (n=1) or negative (n=-1).

C This file is part of aITALC
C Copyright (C) 2002,2004 Alejandro Lorca <alejandro.lorca@desy.de>
** Tested OK!

      double complex function DILOGIE(y,n)
      implicit none
      double precision y, epsilon
      double precision DDILOG
      double complex ipi
      integer n
      parameter ( ipi=(0d0,3.14159265358979323d0) )
      data epsilon /1d-3/

      if (y.le.1d0) then
        DILOGIE= DDILOG(y)
      else
        DILOGIE= DDILOG(y) + n*ipi*DLOG(y)
      endif

      end
